import { InputType } from '@storybook/csf';
import { ComponentMeta } from '@storybook/react';
import { ComponentProps, JSXElementConstructor } from 'react';
export interface StoryMeta<T extends keyof JSX.IntrinsicElements | JSXElementConstructor<any>> extends ComponentMeta<T> {
    parameters: ComponentMeta<T>['parameters'] & {
        /**
         * The default story to be displayed on `mongodb.design`
         */
        default: string;
    };
    argTypes?: Partial<{
        [name in keyof ComponentProps<T>]: InputType & {
            /**
             * Identify an arg to render a control on Storybook only,
             * and not on `mongodb.design`
             */
            storybookOnly?: boolean;
        };
    }>;
}
export declare const StoryMeta: <T extends JSXElementConstructor<any> | keyof JSX.IntrinsicElements>(meta: StoryMeta<T>) => StoryMeta<T>;
//# sourceMappingURL=StoryMeta.d.ts.map